@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Audiowide&display=swap');

*{
box-sizing: border-box;
margin: 0;
padding: 0;
border: 0;
}

body {
    background-color: #245194;
}

/*ENCABEZADO*/
header {
    width: 100%;
    padding: 30px 30px;
    position: relative;
}

nav {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-top: 20px;

}

.ppal-btn {
    margin-left: auto;
}

.ms-encabezado {
    display: flex;
    align-items: center;
    gap: 10px;
}

.logo-ms {
    width: 25px;
    height: auto;
    object-fit: contain;
    opacity: 50%;
}

.logo-texto {
    font-family: 'Audiowide';
    font-size: 16px;
    font-weight: 400;
    text-transform: uppercase;
    color: #ffffff;
    opacity: 50%;
}

/*MENU DESPLEGABLE*/
#menu-desplegable {
    display: none;
}

.hamburguesa-btn {
    width: 44px;
    height: auto;
}

.encabezado-der {
    /*OCULTA EL MENÚ*/
    position: fixed;
    top: 0;
    right: 0;
    width: 75%;
    max-width: 320px;
    height: 100vh;
    background-color: #FFF1FF;
    border-radius: 30px 0 0 30px;
    z-index: 200;
    padding: 24px 20px 40px 20px;
    
    display: flex;
    flex-direction: column;
    align-items: center;
    
    /*TRANSICIÓN PARA QUE APAREZCA*/
    opacity: 0;
    pointer-events: none;
    transform: translateX(100%);
    transition: transform 0.4s ease, opacity 0.3s ease;
}

#menu-desplegable:checked ~ .encabezado-der {
    opacity: 1;
    pointer-events: auto;
    transform: translateX(0);
}

.cruz-btn {
    align-self: flex-end;
    width: 44px;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu-cruz {
    width: 44px;
    height: auto;
    object-fit: contain;
}

/*USUARIO Y AVATAR*/
.perfil-usuario-menu {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    margin-bottom: 30px;
}

.usuario-avatar {
    width: 100px;
    height: auto;
}

.usuario-nombre {
    font-size: 20px;
    color: #49769F;
    font-weight: bold;
}

.menu-footer {
    margin-top: auto;
    display: flex;
    flex-direction: row;      
    align-items: center;      
    justify-content: center;  
    gap: 10px;                 
    width: 100%;
    padding-bottom: 10px;     
}

.logo-ms-menu {
    width: 24px;              
    height: auto;
    object-fit: contain;
    opacity: 0.5;             
}

.menu-footer p {
    font-family: 'Audiowide', sans-serif; 
    font-size: 15px;
    font-weight: bold;
    text-transform: uppercase; 
    color: #49769F;           
    opacity: 0.5;             
}

/*LINKS A PAGINAS*/
.menu-links {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: 100%;
}

.menu-btn {
    display: block;
    width: 100%;
    background-color: #ffffff;
    box-shadow: 0 3px 0px #49769F;
    color: #49769F;
    text-decoration: none;
    text-align: center;
    padding: 12px 20px;
    border-radius: 20px;
    font-size: 16px;
    font-weight: 600;
}

/*PANEL EMERGENCIA*/
#panel-emergencia {
    display: none;
}

.carita-flotante {
    position: fixed;
    bottom: 24px;
    right: 24px;
    width: 50px;
    height: auto;
}

.cuadrado-flotante {
    /*OCULTA EL MENÚ*/
    position: fixed;
    bottom: 0;
    right: 0;
    width: 75%;
    max-width: 320px;
    height: 300px;
    background-color: #FFF1FF;
    border-radius: 30px 0 0 30px;
    padding: 32px 24px;
  
    display: flex;
    flex-direction: column;
    z-index: 150;

    /*TRANSICIÓN PARA QUE APAREZCA*/
    opacity: 0;
    pointer-events: none;
    transform: translateX(100%); 
    transition: transform 0.4s cubic-bezier(0.25, 1, 0.5, 1), opacity 0.3s ease;
}

#panel-emergencia:checked ~ .cuadrado-flotante {
    opacity: 1;
    pointer-events: auto;
    transform: translateX(0);
}

.cuadrado-flotante h3 {
    color: #49769F;
    font-size: 25px;
    font-weight: bold;
    line-height: 1.2;
    margin: 0 0 15px 0;
    text-align: left;
}

.cuadrado-flotante p {
    color: #49769F;
    font-size: 20px;
    line-height: 1.5;
    text-align: left;
}

.contenedor-inferior {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 12px;
    width: 100%;
    margin-top: auto;
}

.recursos-btn {
    flex: 1;
    height: 44px;
    background-color: #ffffff;
    box-shadow: 0 3px 0px #49769F;
    color: #49769F;
    border-radius: 22px;
    font-size: 20px;
    font-weight: bold;
}

.cuadrado-flotante .cruz-panel {
    position: static;
    width: 44px;
    height: 44px;

    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
}

.inicio-modoseguro {
    width: 100vw;
    height: 100vh;
    max-height: 100vh;
    overflow: hidden; 
    position: relative;

    font-family: "Inter", sans-serif;
    background-color: #49769F;
    color: #ffffff;
}

.inicio-modoseguro::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('../imagenes/msfondo.gif');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    opacity: 0.5;              
    z-index: -1;
}

body {
    font-family: "Inter", sans-serif;
}

/*PANTALLA DE INICIO*/
.pantalla-inicio {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 100%;
    height: calc(100vh - 104px); 
    overflow: hidden;
    overflow-y: auto;
    overflow-x: hidden;
}

.contenido-ppal {
    margin-top: 20px;
    margin-bottom: 30px;
}

.titulo-ppal {
    font-family: 'Audiowide', sans-serif;
    font-size: 40px;
    text-transform: uppercase;
}

.subtitulo {
    font-family: 'Audiowide', sans-serif;
    font-size: 20px;
    font-weight: 100;
    opacity: 0.75;
    margin-top: 6px;
}

.estadisticas-imagen {
    width: 80%;
    margin-bottom: 25px;
}

.info-estadisticas {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 50px;
}

.acoso-lista {
    list-style: none;
    display: flex;
    gap: 20px;
}

.acoso-lista li {
    font-size: 12px;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
}

.circulo {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    display: inline-block;
    margin-right: 6px;
}

.escolar { background-color: #DBB5EE; }
.laboral { background-color: #B57EDC; }
.callejero { background-color: #7E4CA5; }
.ciberacoso { background-color: #4C1C72; }

.acoso-lista li strong {
    font-size: 16px;
    font-weight: bold;
    opacity: 50%;
}

/*BOTONES*/
.ms-botones {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    width: 100%;
    margin-bottom: 40px;
}

.ingresar-btn {
    width: 100%;
    max-width: 250px;
    height: 52px;
    background-color: #FFE3D8;
    border-radius: 26px;
}

.ingresar-btn a {
    color: #094174;
    text-decoration: none;
    font-size: 20px;
    font-weight: bold;
    align-items: center;
}

.ms-botones a:not(.ingresar-btn a) {
    color: #DBB2AC;
    font-size: 15px;
    text-decoration: underline;
    font-weight: 600;
}

/*PANTALLA DE QUIENES SOMOS*/
.pantalla-quienessomos {
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;

    background-color: #ffffff;
    border-radius: 40px 40px 0 0;
    padding: 60px 24px 30px 24px;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 -10px 25px rgba(0, 0, 0, 0.08);

    overflow-y: auto;             
    overflow-x: hidden;
    position: relative;
}

.pantalla-quienessomos::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background-image: url('../imagenes/msfondodos.jpg');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    opacity: 0.25; 

    z-index: 0;
}

.pantalla-quienessomos .informacion,
.pantalla-quienessomos .parrafo-info,
.pantalla-quienessomos .reseñas,
.pantalla-quienessomos .ms-boton {
    position: relative;
    z-index: 1;
}

.informacion {
    text-align: center;
    margin-bottom: 25px;
}

.personas-img {
    width: 300px;
    height: auto;
    object-fit: contain;
}

.titulo-quienessomos {
    color: #7E4CA5;
    font-size: 30px;
    font-weight: 300;
    font-family: 'Audiowide';
}

.subtitulo-quienessomos {
    color: #B57EDC;
    font-size: 16px;
    font-weight: 300;
    margin-top: 4px;
    font-family: 'Audiowide';
}

.parrafo-info {
    border-left: 3px solid #49769F;
    padding-left: 16px;
    text-align: left;
    max-width: 320px;
    margin-bottom: 35px;
}

.parrafo-info p {
    color: #49769F;
    font-size: 16px;
    line-height: 1.2;
    font-weight: 500;
    margin-bottom: 14px;
}

.parrafo-info p:last-child {
    margin-bottom: 0;
}

.subtitulo-reseñas {
    font-size: 20px;
    color: #B57EDC;
    text-align: center;
}

.reseñas {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
    max-width: 320px;
    margin-bottom: 35px;
}

.tarjeta-reseña {
    background-color: rgba(189, 216, 233, 0.5);    border-radius: 20px;
    padding: 20px;
    min-width: 100%;
    text-align: left;
}

.perfil-reseña {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 15px;
}

.avatar-reseña {
    width: 48px;
    height: auto;
    border-radius: 50%;
}

.datos-usuario h3 {
    font-size: 14px;
    color: #000000;
    opacity: 75%;
}

.antiguedad {
    font-size: 12px;
    color: #000000;
    opacity: 50%;
}

.calificacion-tiempo {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 15px;
}

.estrellas {
    font-size: 12.5px;
}

.tiempo-publicacion {
    font-size: 11px;
    color: #000000;
    opacity: 50%;
}

.texto-reseña {
    font-size: 12px;
    color: #000000;
    line-height: 1.5;
    font-weight: 400;
    opacity: 75%;
}

.ms-boton {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

.inicio-btn {
    width: 100%;
    max-width: 250px;
    height: 50px;
    background-color: #7E4CA5;
    border-radius: 26px;
}

.inicio-btn a {
    color: #FFE3D8;
    text-decoration: none;
    font-size: 20px;
    font-weight: bold;
}

/*PANTALLA DE INICIAR SESION*/

.pantalla-login {
    width: 100%;
    max-width: 420PX;
    height: 755px;
    margin-top: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

    background-color: #ffffff;
    border-radius: 40px 40px 0 0;
    padding: 60px 24px 30px 24px;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 -10px 25px rgba(0, 0, 0, 0.08);
}

.encabezado-inicio {
    margin-bottom: 25px;
}

.bienvenida-img {
    width: 93px;
    height: auto;
    object-fit: contain;
    margin-bottom: 15px;
}

.saludo-inicio {
    color: #7E4CA5;
    font-size: 30px;
    font-family: 'Audiowide';
    font-weight: 300;
    margin-bottom: 20px;
}

.subtitulo-inicio {
    color: #B57EDC;
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 20px;
}

.iniciar-sesion {
    width: 100%;
    max-width: 300px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.formulario-inicio {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-bottom: 12px;
}

.input-contenedor {
    position: relative;
    width: 100%;
}

.input-ms {
    width: 100%;
    height: 46px;
    border: 2px solid #49769F;
    border-radius: 23px;
    padding: 0 45px 0 20px;
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    color: #49769F;
    outline: none;
}

.icono-ojo {
    position: absolute;
    right: 18px;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    height: auto;
    opacity: 0.7;
}

.olvido-contraseña {
    margin-bottom: 25px;
}

.olvido-contraseña a {
    color: #B57EDC;
    font-size: 14px;
    font-weight: bold;
    text-decoration: underline;
}

.redes-iniciar {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin-top: 30px;
    margin-bottom: 35px;
}

.ingresar-con {
    display: flex;
    width: 100%;
    color: #000000;
    opacity: 50%;
    font-size: 14px;
    font-weight: 300;
    margin-bottom: 20px;
    justify-content: center;
}

.redes-img {
    width: 200px;
    height: auto;
    object-fit: contain;
}

.registar p {
    font-size: 14px;
    color: rgba(0, 0, 0, 0.5);
    font-weight: 400;
}

.link-registrate {
    color: #B57EDC;
    text-decoration: underline;
    font-weight: bold;
    margin-left: 2px;
}